:root {
    --krooma-main-color: rgb(238, 151, 204);
    --krooma-secondary-color: #FFBF81;
    --krooma-dark-color: #0D1533;
    --krooma-error-color: #4E0038;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

html {
    background: linear-gradient(360deg, #F5AFDA 0%, rgba(255, 224, 143, 0.13) 76.52%), #FFFFFF;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: 'Inter', sans-serif;
  overflow-x: hidden!important;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a {
  text-decoration: none;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
   scroll-behavior: auto;
  }
  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}


.App {
    position: relative;
    height: 100vh;
    width: 100%;
    background: linear-gradient(360deg, #F5AFDA 0%, rgba(255, 224, 143, 0.13) 76.52%), #FFFFFF;
    overflow: hidden;
}

.auth__bubbles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 60vh;
}

.circle_blur1 {
    position: absolute;
    top: -50vh;
    left: -10vw;
    height: 100vh;
    width: 100vh;
    background: #FFBF81;
    border-radius: 50%;
    filter: blur(45px);
    z-index: 2;
}

.circle_blur2 {
    position: absolute;
    top: -50vh;
    left: 21vw;
    height: 83vh;
    width: 86vh;
    background: #FFBF81;
    border-radius: 50%;
    filter: blur(45px);
    z-index: 1;
}

.circle_blur3 {
    position: absolute;
    top: -37vh;
    right: -3vw;
    height: 100vh;
    width: 55vw;
    background: #EE97CC;
    border-radius: 50%;
    filter: blur(50.5px);
    z-index: 3;
}

.bubbles {
    position: absolute;
    bottom: 24vh;
    border-radius: 50%;
    background: linear-gradient(299.57deg, #FFBF81 14.92%, rgba(255, 255, 255, 0.9) 79.4%);
    z-index: 3;
}

.authentication {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
    background: linear-gradient(138.38deg, rgba(255, 255, 255, 0.49) 2.75%, rgba(255, 255, 255, 0.07) 97.97%);
    background-blend-mode: overlay;
    border: 1px solid rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(6px);
    /* Note: backdrop-filter has minimal browser support */
    border-radius: 32px;
    width: 30vw;
    height: 70vh;
    padding: 20px 50px;
}

.auth__scanner_container {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 50;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
  justify-content: center;
}

#reader {
  width: 500px;
  height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
}

.auth__scanner_video_container {
  overflow: hidden;
  flex: 1.5;
}

.auth__scanner_video_container video {
  width: 100%;
  height: 100%;
  background: white;
  border-radius: 32px;
}

.auth__scanner_forms {
  flex: .5;
  display: flex;
  flex-direction: column;
}

.auth__scanner_forms .auth__scanner_form_inputs {
  flex: 1;
}

.auth__scanner_forms .auth__scanner_form_inputs select {
  width: 100%;
  height: 100%;
  border-radius: 24px 24px 0 0;
  padding: 1rem;
  outline: none;
  border-left: 1px solid gray!important;
  border-top: 1px solid gray!important;
  border-right: 1px solid gray!important;
}

.auth__scanner_forms .auth__scanner_form_inputs select,
.auth__scanner_forms .auth__scanner_form_inputs option {
  font-size: 1rem;
  color: var(--krooma-dark-color);
  font-weight: 600;
  border: none;
  cursor: pointer;
}

.auth__scanner_forms .auth__scanner_form_inputs option {
  padding: 1rem;
  outline: none;
}

.auth__scanner_forms .auth_scanner_form_btns {
  flex: 1;
  display: flex;
}

.auth__scanner_forms .auth_scanner_form_btns button {
  flex: 1;
  width: 100%;
  border: none;
  outline: none;
  cursor: pointer;
  transition: all .3s ease;
  background: white;
  font-size: 1rem;
  color: var(--krooma-dark-color);
  font-weight: 600;
}

.auth__scanner_forms .auth_scanner_form_btns .reset {
  border: 1px solid gray;
  border-radius: 0 0 0 24px;
}

.auth__scanner_forms .auth_scanner_form_btns .start {
  border-bottom: 1px solid gray;
  border-right: 1px solid gray;
  border-top: 1px solid gray;
  border-radius: 0 0 24px 0;
}

.auth__scanner_forms .auth_scanner_form_btns .reset:hover {
  color: white;
  background: rgba(128, 128, 128, .5);
}

.auth__scanner_forms .auth_scanner_form_btns .start:hover {
  color: white;
  background: rgba(238, 151, 204, .7);
}


/* Site page container */

.kroom {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100vh;
  z-index: 5;
}

.kroom__page_container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(138.38deg, rgba(255, 255, 255, 0.49) 2.75%, rgba(255, 255, 255, 0.07) 97.97%);
  background-blend-mode: overlay;
  border: 1px solid rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(6px);
  /* Note: backdrop-filter has minimal browser support */
  border-radius: 32px;
  width: 70%;
  height: 85vh;
  display: flex;
  overflow: hidden;
}

.kroom__nav_sidebar {
  background: linear-gradient(176.84deg, #2FE0F8 -16.34%, rgba(26, 115, 249, 0.5333) 39.76%, #BD31EE 96.15%);
  flex: 11%;
  height: 100%;
  border-radius: 32px;
}
.kroom__product_container {
  flex: 60%;
}
.kroom__main_cart_container {
  background: linear-gradient(170.5deg, #FFFFFF -0.56%, rgba(255, 255, 255, 0) 96.62%);
  flex: 29%;
}

.kroom__nav_sidebar {
  display: flex;
  height: 100%;
  flex-direction: column;
}

.sidebar__header {
  flex: 15%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.sidebar__header img {
  width: 75%;
  height: 75%;
}

.sidebar__category_links {
  flex: 70%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 2rem;
  gap: 2rem;
}

.sidebar__category_links .category_one_container,
.sidebar__category_links .category_two_container {
  display: flex;
  flex-direction: column;
}

.sidebar__category_links .category_one_container svg,
.sidebar__category_links .category_two_container svg {
  width: 30px;
  transition: all .3s ease;
  cursor: pointer;
}

.sidebar__category_links svg:hover {
  transform: scale(1.25);
}

.sidebar__user_settings {
  flex: 15%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-top: 1px solid rgba(169, 163, 163, 0.6);
}

.sidebar__user_settings img {
  width: 55%;
  height: 55%;
}

.kroom__cart_content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.cart__header {
  flex: 10%;
  display: flex;
  height: 100%;
  align-items: center;
  padding: 0 1rem;
} 

.cart__container_list {
  flex: 65%;
  overflow: hidden;
}

.kroom__cart_content .cart__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.kroom__cart_content .cart__header p,
.kroom__cart_content .cart__header button {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 14px;
}

.kroom__cart_content .cart__header p {
  color: var(--krooma-dark-color);
}

.cart__header button {
  padding: 0.05rem 1.5rem;
  outline: none;
  border: none;
  border-radius: 4px;
  background: var(--krooma-error-color);
  color: white;
  font-weight: 500!important;
  letter-spacing: 0.75px;
  cursor: pointer;
  transition: all .3s ease;
}

.cart__header button:hover {
  background: #300023;
}


.kroom__cart_shop_summary {
  flex: 20%;
  background: white;
  padding: 0 1rem;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.kroom__cart_shop_summary p {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 13px;
  color: var(--krooma-dark-color);
}

.kroom__cart_shop_summary h2 {
  color: var(--krooma-dark-color);
  font-weight: 800;
}

.kroom__cart_shop_summary button {
  outline: none;
  border: none;
  padding: 0.15rem;
  color: white;
  background: #9DCA41;
  border-radius: 15px;
  text-transform: uppercase;
  font-size: 13px;
  transition: all .3s ease;
  cursor: pointer;
}

.kroom__cart_shop_summary button:hover {
  background: #7fad22;
}

.kroom__product_container {
  display: flex;
  flex-direction: column;
}

.kroom__product_searchBar {
  flex: 13%;
}

.kroom__product_card_container {
  flex: 87%;
  height: 100%;
  overflow: hidden;
}

.kroom_search_container {
  display: flex;
  align-items: center;
  height: 100%;
  padding: 0 1.75rem;
}

.kroom_searcj_form_control {
  width: 60%;
  padding: 0.5rem 1rem;
  background: linear-gradient(90.88deg, #FFFFFF 2.66%, rgba(255, 255, 255, 0) 99.74%);
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  position: relative;
  overflow: hidden;
}

.kroom_searcj_form_control input {
  width: 100%;
  outline: none;
  border: none;
  background: transparent;
  color: var(--krooma-dark-color);
  font-size: 13px;
  font-weight: 600;
}

.kroom_searcj_form_control i {
  color: white;
  transition: all .3s ease;
}

.search_icon_controller {
  height: 100%;
  position: absolute;
  right: 0;
  width: 15%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px;
  transition: all .3s ease;
  cursor: pointer;
  border: none;
  outline: none;
}

.search_icon_controller:hover {
  background: linear-gradient(90.88deg, #FFFFFF 2.66%, rgba(255, 255, 255, 0) 99.74%);
}

.search_icon_controller:hover i {
  color: var(--krooma-dark-color);
}

.product_list_container {
  width: 100%;
  height: 100%;
  /* background: red; */
  overflow-y: auto;
  padding: 1rem 1.75rem;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  scroll-behavior: smooth;
}

/* width */
.product_list_container::-webkit-scrollbar {
  width: 1px;
}

/* Track */
.product_list_container::-webkit-scrollbar-track {
  background: transparent; 
}
 
/* Handle */
.product_list_container::-webkit-scrollbar-thumb {
  background: transparent; 
}

/* Handle on hover */
.product_list_container::-webkit-scrollbar-thumb:hover {
  background: transparent; 
}

.product_card {
  background: linear-gradient(137.27deg, #FFFFFF 2.81%, rgba(255, 255, 255, 0) 112.19%);
  border: 1px solid rgba(255, 255, 255, 0.3);
  width: 160px;
  height: 200px;
  border-radius: 32px;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  transition: all 1s ease;
}

.product_card:hover {
  transform: translateY(-10px);
  background: white;
}

.card__image_container img {
  width: 95px;
  height: 57px;
}

.card__image_container {
  display: flex;
  align-items: center;
  flex: 1;
  justify-content: center;
}

.card__description {
  flex: 1;
  padding: 0.25rem 1rem;
  font-size: 14px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: var(--krooma-dark-color);
  gap: .25rem;
}

.card__description p {
  font-weight: 700;
}

.card__description p:nth-child(2) {
  font-size: 12px;
}

.card__description small {
  font-weight: 600;
  text-transform: uppercase;
  color: #9DCA41;
}

.cart_product_container {
  height: 100%;
  padding: 1rem;
  overflow-y: scroll;
  padding-top: 1.75rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

/* width */
.cart_product_container::-webkit-scrollbar {
  width: 1px;
}

/* Track */
.cart_product_container::-webkit-scrollbar-track {
  background: transparent; 
}
 
/* Handle */
.cart_product_container::-webkit-scrollbar-thumb {
  background: transparent; 
}

/* Handle on hover */
.cart_product_container::-webkit-scrollbar-thumb:hover {
  background: transparent; 
}

.cart__product {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.cart__image_container {
  flex: .7;
}

.cart__product_info {
  flex: 1.3;
  display: flex;
  flex-direction: column;
  gap: .5rem;
}


.cart__price_and_quantity {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 12px;
}

.cart__image_container img {
  width: 79px;
  height: 46px;
}

.cart__product_info p {
  font-size: 13px;
  color: var(--krooma-dark-color);
  font-weight: 700;
}

.cart__toggle_action {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.cart__toggle_action button {
  padding: 0 0.5rem;
  border-radius: 50%;
  outline: none;
  border: 1px solid var(--krooma-dark-color);
  background: transparent;
  cursor: pointer;
  transition: all .3s ease;
  font-weight: 900;
}

.cart__price_and_quantity small {
  font-weight: 800;
  color: var(--krooma-dark-color);
}

.cart__toggle_action button:hover {
  background: var(--krooma-dark-color);
  color: white;
}

.empty__container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1.25rem;
  font-size: 1.5rem;
  color: gray;
}

.empty__container i {
  font-size: 3.75rem;
}

.empty__container h3 {
  font-size: 1rem;
  letter-spacing: 1.25rem;
  text-align: center;
  margin-left: 1.5rem;
}

.kroom__modal_bg {
  position: absolute;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.65);
  z-index: 50;
  display: flex;
  justify-content: center;
  align-items: center;
}

.kroom__modal_container {
  height: 80%;
  width: 32%;
  overflow: hidden;
  border-radius: 35px;
}

.kroom__modal_box {
  border-radius: 32px;
  height: 95%;
  width: 95%;
  background: #FFFFFF;
  box-shadow: 3px 4px 15px 3px rgba(0, 0, 0, 0.23);
  padding: 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 1.75rem;
}

.kroom__modal_close {
  display: none;
}

.kroom__modal_header {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  padding: 0.25rem;
  gap: 1.5rem;
}

.kroom__modal_header .cart__modal_toggleExit {
  position: absolute;
  left: 2%;
  top: 5%;
  height: 100%;
  width: 10%;
  background-color: var(--krooma-dark-color);
  border-radius: 50%;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all .3s ease;
}

.kroom__modal_header .cart__modal_toggleExit:hover {
  scale: 1.5;
}

.kroom__modal_header h4 {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 14px;
  color: var(--krooma-dark-color);
}

.kroom_payment_option {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.payment__options {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid rgb(13 21 51 / 25%);
  padding-bottom: 0.5rem;
  transition: all .3s ease;
  cursor: pointer;
  padding-top: .75rem
}

.payment__options:hover {
  background: rgba(13,21,51,.05);
  border-radius: 5px;
}

.option_brand {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.option_brand img {
  width: 55px;
  height: 55px;
}

.payment__option_description p {
  font-weight: 700;
  color: var(--krooma-dark-color);
}

.payment__option_description small {
  color: #6F7072;
  font-weight: 500;
}

.option_cost p {
  font-weight: 800;
  color: var(--krooma-dark-color);
  font-size: 20px;
}

.kroom__onlinepay_option {
  display: flex;
  flex-direction: column;
}

.option__total_bills {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.kroom__cart_total {
  display: flex;
  flex-direction: column;
  gap: .5rem;
}

.option__total_bills:first-child small:first-child {
  font-weight: 700;
  color: var(--krooma-dark-color);
}

.option__total_bills:first-child {
  font-weight: 700;
  color: var(--krooma-dark-color);
}

.option__total_bills:first-child small:first-child {
  font-size: 16px;
}

.kroom__cart_total:nth-child(2) .option__total_bills {
  color: #6F7072;
  font-weight: 500;
}

.kroom__payment_terms small {
  font-size: 9px;
  line-height: 1rem!important;
  display: block;
  font-weight: 600;
  color: #6F7072;
}

.kroom_payment_modalBtn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.kroom_payment_modalBtn button {
  width: 100%;
  padding: 1rem;
  border-radius: 14px;
  outline: none;
  border: none;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 700;
  cursor: pointer;
  transition: all .3s ease;
  color: var(--krooma-dark-color);
  background-color: #9DCA41!important;
}

.kroom_payment_modalBtn button:hover {
  background-color: #81aa2c!important;
}

.icon__cateogry path {
  transition: all .3s ease;
}

.icon__cateogry:hover path {
  stroke-width: 4!important;
}